Package com.independentsoft.office.odf.styles

# Enum Class TextAlignment

java.lang.Object
java.lang.Enum<TextAlignment>
com.independentsoft.office.odf.styles.TextAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<TextAlignment>`, `Constable`

public enum TextAlignment extends Enum<TextAlignment>
Represents the text alignment.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Center text alignment.
  `END`
  End text alignment.
  `JUSTIFY`
  Justify text alignment.
  `LEFT`
  Left text alignment.
  `NONE`
  None.
  `RIGHT`
  Right text alignment.
  `START`
  Start text alignment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START

    public static final TextAlignment START
    Start text alignment.

  - ### END

    public static final TextAlignment END
    End text alignment.

  - ### LEFT

    public static final TextAlignment LEFT
    Left text alignment.

  - ### RIGHT

    public static final TextAlignment RIGHT
    Right text alignment.

  - ### CENTER

    public static final TextAlignment CENTER
    Center text alignment.

  - ### JUSTIFY

    public static final TextAlignment JUSTIFY
    Justify text alignment.

  - ### NONE

    public static final TextAlignment NONE
    None.

- ## Method Details

  - ### values

    public static TextAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null